apiVersion: v1
kind: Service
metadata:
  name: {{ template "control-plane.fullname" . }}
  labels: {{ include "control-plane.labels" $ | nindent 4 }}
spec:
  type: ClusterIP
  ports:
    - port: {{ $.Values.config.server.port | default 3000 }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ template "control-plane.fullname" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
